#	Masrv
#	Copyright (C) 2007 Michal Vaner (vorner@ucw.cz)
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	he Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

import sys
from sys import stderr
import datetime
import time

debug = False
daemon = False
hooks = None

def dprint( message ):
	global debug
	if debug:
		stderr.write( str( message ) + "\n" )

def info( what ):
	dprint( "[ INFO ] " + str( what ) )

def warn( what ):
	dprint( "[ WARN ] " + str( what ) )

def err( what ):
	dprint( "[ ERR  ] " + str( what ) )

def fatal( what ):
	stderr.write( "[ Fatal ]: " + str( what ) + "\n" )
	sys.exit( 1 )

def timestamp():
	dt = datetime.datetime.now()
	return int( time.mktime( dt.timetuple() ) * 1000 ) + dt.microsecond / 1000
